Bug 2139829 - [abrt] libreoffice-core: std::__glibcxx_assert_fail(): soffice.bin killed by SIGABRT
Summary: [abrt] libreoffice-core: std::__glibcxx_assert_fail(): soffice.bin killed by ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: libreoffice
Version: 36
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Caolan McNamara
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:35a7ea1fd38dba28282eb1ef082...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2022-11-03 14:28 UTC by Sander
Modified: 2022-11-27 01:35 UTC (History)
4 users (show)

Fixed In Version: libreoffice-7.3.7.2-2.fc36
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2022-11-27 01:35:29 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)
File: backtrace (92.63 KB, text/plain)
2022-11-03 14:28 UTC, Sander
no flags Details
File: core_backtrace (17.72 KB, text/plain)
2022-11-03 14:28 UTC, Sander
no flags Details
File: cpuinfo (2.99 KB, text/plain)
2022-11-03 14:28 UTC, Sander
no flags Details
File: dso_list (864 bytes, text/plain)
2022-11-03 14:28 UTC, Sander
no flags Details
File: environ (2.29 KB, text/plain)
2022-11-03 14:28 UTC, Sander
no flags Details
File: limits (1.29 KB, text/plain)
2022-11-03 14:28 UTC, Sander
no flags Details
File: maps (3.90 KB, text/plain)
2022-11-03 14:28 UTC, Sander
no flags Details
File: mountinfo (3.93 KB, text/plain)
2022-11-03 14:28 UTC, Sander
no flags Details
File: open_fds (2.42 KB, text/plain)
2022-11-03 14:29 UTC, Sander
no flags Details
File: proc_pid_status (1.40 KB, text/plain)
2022-11-03 14:29 UTC, Sander
no flags Details
File: var_log_messages (5.10 KB, text/plain)
2022-11-03 14:29 UTC, Sander
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Document Foundation 149554 0 None None None 2022-11-22 10:25:16 UTC

Description Sander 2022-11-03 14:28:46 UTC
Description of problem:
Copied an entire row and pasted it one row lower.

Version-Release number of selected component:
libreoffice-core-1:7.3.6.2-3.fc36

Additional info:
reporter:       libreport-2.17.4
backtrace_rating: 4
cgroup:         0::/user.slice/user-1000.slice/user/app.slice/app-gnome-libreoffice\x2dcalc-261757.scope
cmdline:        /usr/lib64/libreoffice/program/soffice.bin --calc --splash-pipe=5
crash_function: std::__glibcxx_assert_fail
executable:     /usr/lib64/libreoffice/program/soffice.bin
journald_cursor: s=ffa6f1b063734ac98675868fa8204d16;i=7ca2c;b=6449ec5337b04014bc04a75ebd4cb06a;m=1d44434a5c;t=5ec7db12b0858;x=716d785e2faeb4c
kernel:         5.19.16-200.fc36.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (7 frames)
 #10 std::__glibcxx_assert_fail at ../../../../../libstdc++-v3/src/c++11/debug.cc:60
 #11 std::vector<std::unique_ptr<ScColumn, o3tl::default_delete<ScColumn> >, std::allocator<std::unique_ptr<ScColumn, o3tl::default_delete<ScColumn> > > >::operator[] at /usr/include/c++/12/bits/stl_vector.h:1121
 #13 ScColContainer::operator[] at /usr/src/debug/libreoffice-7.3.6.2-3.fc36.x86_64/sc/inc/colcontainer.hxx:43
 #14 ScTable::DeleteBeforeCopyFromClip at /usr/src/debug/libreoffice-7.3.6.2-3.fc36.x86_64/sc/source/core/data/table7.cxx:118
 #15 ScDocument::DeleteBeforeCopyFromClip at /usr/src/debug/libreoffice-7.3.6.2-3.fc36.x86_64/sc/source/core/data/document10.cxx:75
 #16 ScDocument::CopyFromClip at /usr/src/debug/libreoffice-7.3.6.2-3.fc36.x86_64/sc/source/core/data/document.cxx:2918
 #17 ScViewFunc::PasteFromClip at /usr/src/debug/libreoffice-7.3.6.2-3.fc36.x86_64/sc/source/ui/view/viewfun3.cxx:1307

Comment 1 Sander 2022-11-03 14:28:51 UTC
Created attachment 1922028 [details]
File: backtrace

Comment 2 Sander 2022-11-03 14:28:52 UTC
Created attachment 1922029 [details]
File: core_backtrace

Comment 3 Sander 2022-11-03 14:28:54 UTC
Created attachment 1922030 [details]
File: cpuinfo

Comment 4 Sander 2022-11-03 14:28:55 UTC
Created attachment 1922031 [details]
File: dso_list

Comment 5 Sander 2022-11-03 14:28:56 UTC
Created attachment 1922032 [details]
File: environ

Comment 6 Sander 2022-11-03 14:28:57 UTC
Created attachment 1922033 [details]
File: limits

Comment 7 Sander 2022-11-03 14:28:58 UTC
Created attachment 1922034 [details]
File: maps

Comment 8 Sander 2022-11-03 14:28:59 UTC
Created attachment 1922035 [details]
File: mountinfo

Comment 9 Sander 2022-11-03 14:29:00 UTC
Created attachment 1922036 [details]
File: open_fds

Comment 10 Sander 2022-11-03 14:29:01 UTC
Created attachment 1922037 [details]
File: proc_pid_status

Comment 11 Sander 2022-11-03 14:29:02 UTC
Created attachment 1922038 [details]
File: var_log_messages

Comment 12 Fedora Update System 2022-11-22 17:01:03 UTC
FEDORA-2022-b5af424725 has been submitted as an update to Fedora 36. https://bodhi.fedoraproject.org/updates/FEDORA-2022-b5af424725

Comment 13 Fedora Update System 2022-11-23 02:19:42 UTC
FEDORA-2022-b5af424725 has been pushed to the Fedora 36 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2022-b5af424725`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2022-b5af424725

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 14 Fedora Update System 2022-11-27 01:35:29 UTC
FEDORA-2022-b5af424725 has been pushed to the Fedora 36 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.